/****************************** Module Header ******************************\
*      Encodage : ANSI
* 
*  Organisation : Ergodis
*        Devise : Plus de mots, moins de maux.
* 
*       Produit : Bpo en A touche Tiret chiffres directs
*       Version : 1.1rc2-alpha-3
*   Nom de code : bepo112A
*   Description : Disposition de clavier francophone et ergonomique bpo
*   Destination : Grand public, informaticiens et typographes de France et de la Francophonie
*   Adresse web : https://bepo.fr
*      Licences : GPL, GFDL et CC-BY-SA
* 
*       Fichier : bepo112A.h
*          Date : 2019-05-19T1320+0200
*       Systme : Windows 10 et antrieurs jusqu Windows 2000
*       Contenu : Dfinitions de touches logicielles
*          Type : source en-tte en C
*   Destination : intrant (lecture seule) pour KbdUTool (MSKLC)
*
*
* Module Name: bepo112A.H
*
* keyboard layout header
*
* Copyright (c) 1985-2001, Microsoft Corporation
*
* Various defines for use by keyboard input code.
*
* History:
*
* created by KBDTOOL v3.40 Sun May 19 04:22:18 2019
*
\***************************************************************************/

/*
 * kbd type should be controlled by cl command-line argument
 */
#define KBD_TYPE 4

/*
* Include the basis of all keyboard table values
*/
#include "kbd.h"
/***************************************************************************\
* The table below defines the virtual keys for various keyboard types where
* the keyboard differ from the US keyboard.
*
* _EQ() : all keyboard types have the same virtual key for this scancode
* _NE() : different virtual keys for this scancode, depending on kbd type
*
*     +------+ +----------+----------+----------+----------+----------+----------+
*     | Scan | |    kbd   |    kbd   |    kbd   |    kbd   |    kbd   |    kbd   |
*     | code | |   type 1 |   type 2 |   type 3 |   type 4 |   type 5 |   type 6 |
\****+-------+_+----------+----------+----------+----------+----------+----------+*/

#undef  T10
 #define T10 _EQ(                                        'B'                      )
#undef  T11
 #define T11 _EQ(                                      OEM_1                      )
#undef  T12
 #define T12 _EQ(                                        'P'                      )
#undef  T13
 #define T13 _EQ(                                        'O'                      )
#undef  T14
 #define T14 _EQ(                                      OEM_2                      )
#undef  T15
 #define T15 _EQ(                                      OEM_4                      )
#undef  T16
 #define T16 _EQ(                                        'V'                      )
#undef  T17
 #define T17 _EQ(                                        'D'                      )
#undef  T18
 #define T18 _EQ(                                        'L'                      )
#undef  T19
 #define T19 _EQ(                                        'J'                      )
#undef  T1A
 #define T1A _EQ(                                        'Z'                      )
#undef  T1B
 #define T1B _EQ(                                        'W'                      )
#undef  T1F
 #define T1F _EQ(                                        'U'                      )
#undef  T20
 #define T20 _EQ(                                        'I'                      )
#undef  T21
 #define T21 _EQ(                                        'E'                      )
#undef  T22
 #define T22 _EQ(                                  OEM_COMMA                      )
#undef  T23
 #define T23 _EQ(                                        'C'                      )
#undef  T24
 #define T24 _EQ(                                        'T'                      )
#undef  T25
 #define T25 _EQ(                                        'S'                      )
#undef  T26
 #define T26 _EQ(                                        'R'                      )
#undef  T27
 #define T27 _EQ(                                        'N'                      )
#undef  T28
 #define T28 _EQ(                                        'M'                      )
#undef  T29
 #define T29 _EQ(                                      OEM_7                      )
#undef  T2C
 #define T2C _EQ(                                      OEM_6                      )
#undef  T2D
 #define T2D _EQ(                                        'Y'                      )
#undef  T2E
 #define T2E _EQ(                                        'X'                      )
#undef  T2F
 #define T2F _EQ(                                 OEM_PERIOD                      )
#undef  T30
 #define T30 _EQ(                                        'K'                      )
#undef  T31
 #define T31 _EQ(                                      OEM_3                      )
#undef  T32
 #define T32 _EQ(                                        'Q'                      )
#undef  T33
 #define T33 _EQ(                                        'G'                      )
#undef  T34
 #define T34 _EQ(                                        'H'                      )
#undef  T35
 #define T35 _EQ(                                        'F'                      )

/**********************************************************************************\
* NUMPAD DIGITS AND DECIMAL SEPARATOR
*
* The following are added to disable Numpad Specials. 
* This allows netbook users to enter digits on the overlay numpad 
* without toggling NumLock. Pressing Function (and hold it down
* while entering the digits) is sufficient.
*  
* Numpad specials are legacy features that are no longer needed 
* since they are available on dedicated keys. 
* They are already disabled on performative products like the MacBook,
* as well as on the entire panel of Apple Mac computers.
*
* The most what numpad specials can do today, is to worsen ergonomics 
* on compact keyboards like those of netbooks, where a numpad 
* is emulated on most models. This numpad is often referred to
* as not existent, because it is lacking ease of access to digit keys, 
* which is one of the main advantages of a numpad. Operators are already 
* available simply when Fn is pressed. Now, digits are, too.
*
\**********************************************************************************/
#undef  T47
#define T47 _EQ(                                     NUMPAD7                      )
#undef  T48
#define T48 _EQ(                                     NUMPAD8                      )
#undef  T49
#define T49 _EQ(                                     NUMPAD9                      )
#undef  T4B
#define T4B _EQ(                                     NUMPAD4                      )
#undef  T4C
#define T4C _EQ(                                     NUMPAD5                      )
#undef  T4D
#define T4D _EQ(                                     NUMPAD6                      )
#undef  T4F
#define T4F _EQ(                                     NUMPAD1                      )
#undef  T50
#define T50 _EQ(                                     NUMPAD2                      )
#undef  T51
#define T51 _EQ(                                     NUMPAD3                      )
#undef  T52
#define T52 _EQ(                                     NUMPAD0                      )
#undef  T53
#define T53 _EQ(                                     DECIMAL                      )

/**********************************************************************************\
* DEFINES FOR ALLOCATION TABLE
*
\**********************************************************************************/
#define NONE 0xF000  // No character mapped.
#define DEAD 0xF001  // This key position is a dead key (WCHAR in the next line).
#define LGTR 0xF002  // Here is a sequence, look up in the Ligatures table.
